# =============================================================================
# Entrées numériques DOMO22
# Version: 1.0
# Date: 2025-10-31
# Produit: ECO-DOMO-22
# 8 entrées avec protection et anti-rebond
# =============================================================================

binary_sensor:
  # Entrée 1 - Bouton poussoir
  - platform: gpio
    pin:
      number: GPIO34
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 1 - Bouton Poussoir"
    id: input_1
    device_class: button
    filters:
      - delayed_on: 50ms
      - delayed_off: 50ms
    on_press:
      - switch.toggle: relay_1

  # Entrée 2 - Détecteur de mouvement
  - platform: gpio
    pin:
      number: GPIO35
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 2 - Détecteur Mouvement"
    id: input_2
    device_class: motion
    filters:
      - delayed_on: 100ms

  # Entrée 3 - Contact de porte
  - platform: gpio
    pin:
      number: GPIO36
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 3 - Contact Porte"
    id: input_3
    device_class: door

  # Entrée 4 - Contact de fenêtre
  - platform: gpio
    pin:
      number: GPIO39
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 4 - Contact Fenêtre"
    id: input_4
    device_class: window

  # Entrée 5 - Personnalisable
  - platform: gpio
    pin:
      number: GPIO4
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 5"
    id: input_5
    filters:
      - delayed_on: 50ms

  # Entrée 6 - Personnalisable
  - platform: gpio
    pin:
      number: GPIO16
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 6"
    id: input_6

  # Entrée 7 - Personnalisable
  - platform: gpio
    pin:
      number: GPIO17
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 7"
    id: input_7

  # Entrée 8 - Personnalisable
  - platform: gpio
    pin:
      number: GPIO5
      mode: INPUT_PULLUP
      inverted: true
    name: "Entrée 8"
    id: input_8
